%define name		ede
%define version      	1.2
%define release		%mkrel 1
%define cvsversion	0

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.gz
Patch0:		ede-1.2-locale.patch
Patch2:		ede-mandrake-menufixes.patch.bz2
Summary:	The core programs for the Equinox Desktop Environment
URL: 		http://sourceforge.net/projects/ede
License: 	GPL
Packager:	KDulcimer
Group: 		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libefltk-devel

PreReq:		/sbin/install-info

Requires:	libefltk2.0

%description
Equinox Desktop Environment (EDE) is desktop environment - the piece of
software that enables you to launch applications in a convenient way,
show what windows you have opened, manages icons and background of your
desktop, etc. This core package provides panel with tasklist, clock,
load status; icon manager that take care of your icons on background,
control panel for easy access to your settings, sound volume control, 
color configuration, panel configuration, menu editor, icons configuration, 
tips, time/date and timezone configuration, fast file search tool and of 
course window manager that manages your windows with config utility.

%prep
%setup -q -n %name
%patch0 -p1
%patch2 -p1

%build

%if %cvsversion
autoconf
%endif

%configure

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

# Why is this needed?
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/ru/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/sr/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/sk/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/hu/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/de/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES/

install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_datadir}

%makeinstall

# Mandrake specific stuff - add to wmsessions
mkdir -p %buildroot%{_sysconfdir}/X11/wmsession.d/
cat << EOF >> %buildroot%{_sysconfdir}/X11/wmsession.d/08EDE
NAME=EDE
ICON=ede-wmsession.xpm
EXEC=/usr/bin/startede
DESC=Equinox Lightweight desktop environment
SCRIPT:
exec /usr/bin/startede
EOF

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/ede/doc/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/08EDE
#%_prefix/share/apps/kdm/sessions/08EDE.desktop
%{_bindir}/*
#%{_sysconfdir}/
%{_datadir}/locale/*/*/*
%{_datadir}/ede/icons/*
%{_datadir}/ede/programs/*
%{_datadir}/ede/programs/.directory
%{_datadir}/ede/.ede/*

%changelog
* Sat Feb 07 2009 KDulcimer <kdulcimer@gmail.com> 1.2
- 1.2
- Import to PCLinuxOS from an old Mandrake spec
- Add locale patch
